#!/bin/zsh -e
source common.zsh

zparseopts -F -K \
	c:=CLIENT -client:=CLIENT \
	-dmesg=DMESG -srvdmesg=SRVDMESG \
	p:=MOUNTPOINT -mountpoint:=MOUNTPOINT \
	s:=SERVER -server:=SERVER \
	x:=EXPORT -export:=EXPORT

prepare_to_test
client_run -t nfstest-rplus.zsh --server ${SERVER[-1]} \
			     --export ${EXPORT[-1]} \
			     --mountpoint ${MOUNTPOINT[-1]} \
			     --user $USER
