#!/bin/zsh
SERVER=$1
EXPORT=$2
MOUNTPOINT=$3/read_plus
USER=$4
SIZE=$5
CHUNKS=$6

if [ "$#" -ne 6 ]; then
	echo "Usage: $0 {server} {export} {mountpoint} {user} {size} {chunks}"
	exit 1
fi

mkdir -p $MOUNTPOINT
mount -o sec=sys $SERVER:$EXPORT $MOUNTPOINT
TRAPEXIT() {
	sudo umount -f $MOUNTPOINT
}

mkdir -p -m 777 $MOUNTPOINT/$USER/read_plus
bin/setup/read_plus-files.py $MOUNTPOINT/$USER/read_plus $SIZE $CHUNKS
sync
