#!/bin/zsh
SERVER=$1
EXPORT=$2
MOUNTPOINT=$3
SCRATCH=$4
SCRATCHMNT=$5
USER=$6

if [ "$#" -ne 6 ]; then
	echo "Usage: $0 {server} {export} {mountpoint} {scratch} {scratchmnt} {user}"
	exit 1
fi

useradd -m fsgqa 2>/dev/null
groupadd fsgqa 2>/dev/null
useradd --badnames 123456-fsgqa 2>/dev/null
useradd fsgqa2 2>/dev/null

setup.zsh testdirs.zsh $SERVER $EXPORT $MOUNTPOINT $USER
setup.zsh testdirs.zsh $SERVER $SCRATCH $SCRATCHMNT $USER
